Subject: [stir] rfc4474bis and passport revisions

From: "Peterson, Jon" <[email-masked]>
Date: Thu, 9 Feb 2017 22:37:29 +0000

In response to the IESG review, the GEN-ART review, and a few miscellaneous reports from others, Chris and I have put out new versions of the core specs. A couple of key points to call out here for the working group, to make sure everyone is okay with these:

In RFC4474bis, there is now some new text specific to handling the repair and resubmission of SIP requests with an Identity header when the authentication service is implemented in an intermediary, especially one that behaves like a RFC3261-compliant proxy server. This new text give more detail on sequential forking by referencing the appropriate RFCs, and notes that in some cases, the verification service may have to do some special transaction handling to accommodate this (see Section 6.2.3).

We patched a number of other smaller things in RFC4474bis, especially thanks to Vijay's thorough GEN-ART review and the watchful eyes of our ADs. The text about reason phrases in Identity-specific responses is now a bit softer, and hopefully dates and so on are better. Rather than deleting the IANA registries that we're no longer using due to changes from RFC4474, we've just closed them.

In PASSporT, we have restricted claim names to ASCII: this seems kind of like a no-brainer, and it's not like people are registering non-ASCII claims for HWT already, but this restriction makes life easier to the JWT Claims Constraint field in the stir-certs document (which will be getting its own rev soon).  We also added some text about deterministic ECSDA at the advice of our security folks.

Please do take a look at these and let us know if there's more here to discuss.

Jon Peterson
Neustar, Inc.